BrokerService
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.impl.services
Class BrokerService

    java.lang.Object
      GCUBEPortType
          org.gcube.vremanagement.resourcebroker.impl.services.BrokerService

    public class BrokerService

extends GCUBEPortType

Implements the ResourceBroker service. Roles: 1) given a `org.gcube.vremanagement.resourcebroker.utils.serialization.types.PlanRequest` it opportunely assigns the software to deploy to the proper GHN. The decision making in implemented inside the `getPlan(String)` method an built up to several `PlanBuilderTask` implementing the stages of a `PlanBuilderWorkflow`. The decision making as been though of as composition of decision stages.

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`BrokerService()`

Method Summary
`java.lang.String` | `getPlan(java.lang.String planRequest)` Receives requests from the VREManagerService and plans the deploy distribution over the gCore hosting nodes (GHN).
`VOID` | `handleFeedback(java.lang.String feedback)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrokerService

    public BrokerService()

Method Detail

### getPlan

    public final java.lang.String getPlan(java.lang.String planRequest)
                                   throws GCUBEFault

  Receives requests from the VREManagerService and plans the deploy distribution over the gCore hosting nodes (GHN).

  Throws:
    `GCUBEFault`

### handleFeedback

    public final VOID handleFeedback(java.lang.String feedback)
                              throws GCUBEFault

  Throws:
    `GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD